Endpoints
GET/shops/{SHOP_ID}/stocktakingsStocktaking listPOST/shops/{SHOP_ID}/stocktakingsCreate stocktakingGET/shops/{SHOP_ID}/stocktakings/{STOCKTAKING_ID}Get stocktaking informationPUT/shops/{SHOP_ID}/stocktakings/{STOCKTAKING_ID}Update stocktakingStocktaking list
GET
/shops/{SHOP_ID}/stocktakingsGet list of stocktakings
Path parameters
SHOP_IDintegerrequiredShop ID
Query parameters
pageintegerPage number
page_sizeintegerPage size
statusintegerStatus
Values
-2All status-1Creating0Stocktaking1Stocktook2CanceledResponses
object
dataarray<Stocktaking>List of stocktakings
page_numberintegerPage number
page_sizeintegerPage size
successbooleanSuccess status
total_entriesintegerTotal entries
total_pagesintegerTotal pages
Request
curl "https://pos.pages.fm/api/v1/shops/{SHOP_ID}/stocktakings?api_key=API_KEY"Response 200
{
"success": true,
"data": [
{
"id": "4d0f479d-feab-489b-bc82-4a656902a20b",
"display_id": null,
"status": 0,
"warehouse_id": "c52e67ad-d9d0-4276-abe4-e0c9f1f7d2da",
"stocktaking_by": "category_ids",
"stocktaking_by_value": [
"1315"
],
"stocktaking_at": "2023-10-11T08:24:56Z",
"progress": 0,
"note": "Kiểm hàng tồn",
"items": [
{
"id": "cb244b25-100e-4eaa-8b8f-0e72c5642631",
"variation_id": "27b3f94b-c945-4560-b694-a59526cae9a5",
"changed_quantity": 12,
"current_quantity": 0,
"note": null,
"variation": {
"id": "27b3f94b-c945-4560-b694-a59526cae9a5",
"display_id": "1",
"barcode": "12ml-6291107458328",
"product_id": "61894c4f-d759-45b7-acf7-ff5e88082016",
"retail_price": 240000,
"last_imported_price": 20000,
"weight": 1000,
"fields": [],
"images": [
"https://statics.pancake.vn/user-content.pancake.vn/2023/4/12/05138842c6f772cde332fd8e1be1bff58245f19e.png"
],
"product": {
"display_id": "12ml-6291107458328",
"name": "12ml Badee Al Oud",
"image": null,
"note_product": ""
}
},
"inserted_at": "2024-12-02T10:42:39Z",
"updated_at": "2024-12-02T10:42:39Z"
}
],
"shop_id": 20,
"creator_id": "cee3c05e-5f85-43c4-b27e-889b99c50097",
"inserted_at": "2023-10-11T08:25:18Z",
"updated_at": "2023-10-11T09:03:03Z",
"updated_status_at": "2023-10-11T08:25:18Z"
}
]
}Create stocktaking
POST
/shops/{SHOP_ID}/stocktakingsPath parameters
SHOP_IDintegerrequiredShop ID
Request body
Request body containing stocktaking information to create
object
stocktakingobjectrequiredResponses
object
successbooleanSuccess status
Request
curl -X POST "https://pos.pages.fm/api/v1/shops/{SHOP_ID}/stocktakings?api_key=API_KEY" \
-H "Content-Type: application/json" \
-d '{
"stocktaking": {
"warehouse_id": "c52e67ad-d9d0-4276-abe4-e0c9f1f7d2da",
"items": [
{
"variation_id": "20e7d183-c70c-445e-8ce2-4d7e3a378e34",
"changed_quantity": -1
}
],
"note": "Kiểm hàng tồn",
"status": 0,
"inserted_at": "2025-04-04T10:42:40.100Z",
"stocktaking_at": "2023-10-11T10:38:34.542Z",
"stocktaking_by": "category_ids",
"stocktaking_by_value": [
"1315"
]
}
}'Response 200
{
"success": true
}Get stocktaking information
GET
/shops/{SHOP_ID}/stocktakings/{STOCKTAKING_ID}Path parameters
SHOP_IDintegerrequiredShop ID
STOCKTAKING_IDstringrequiredStocktaking ID
Responses
object
dataStocktakingStocktaking information
successbooleanSuccess status
Request
curl "https://pos.pages.fm/api/v1/shops/{SHOP_ID}/stocktakings/{STOCKTAKING_ID}?api_key=API_KEY"Response 200
{
"success": true,
"data": {
"id": "4d0f479d-feab-489b-bc82-4a656902a20b",
"display_id": null,
"status": 0,
"warehouse_id": "c52e67ad-d9d0-4276-abe4-e0c9f1f7d2da",
"stocktaking_by": "category_ids",
"stocktaking_by_value": [
"1315"
],
"stocktaking_at": "2023-10-11T08:24:56Z",
"progress": 0,
"note": "Kiểm hàng tồn",
"items": [
{
"id": "cb244b25-100e-4eaa-8b8f-0e72c5642631",
"variation_id": "27b3f94b-c945-4560-b694-a59526cae9a5",
"changed_quantity": 12,
"current_quantity": 0,
"note": null,
"variation": {
"id": "27b3f94b-c945-4560-b694-a59526cae9a5",
"display_id": "1",
"barcode": "12ml-6291107458328",
"product_id": "61894c4f-d759-45b7-acf7-ff5e88082016",
"retail_price": 240000,
"last_imported_price": 20000,
"weight": 1000,
"fields": [],
"images": [
"https://statics.pancake.vn/user-content.pancake.vn/2023/4/12/05138842c6f772cde332fd8e1be1bff58245f19e.png"
],
"product": {
"display_id": "12ml-6291107458328",
"name": "12ml Badee Al Oud",
"image": null,
"note_product": ""
}
},
"inserted_at": "2024-12-02T10:42:39Z",
"updated_at": "2024-12-02T10:42:39Z"
}
],
"shop_id": 20,
"creator_id": "cee3c05e-5f85-43c4-b27e-889b99c50097",
"inserted_at": "2023-10-11T08:25:18Z",
"updated_at": "2023-10-11T09:03:03Z",
"updated_status_at": "2023-10-11T08:25:18Z"
}
}Update stocktaking
PUT
/shops/{SHOP_ID}/stocktakings/{STOCKTAKING_ID}Path parameters
SHOP_IDintegerrequiredShop ID
STOCKTAKING_IDstringrequiredStocktaking ID
Request body
Request body containing stocktaking information to update
object
stocktakingobjectrequiredResponses
object
successbooleanSuccess status
Request
curl -X PUT "https://pos.pages.fm/api/v1/shops/{SHOP_ID}/stocktakings/{STOCKTAKING_ID}?api_key=API_KEY" \
-H "Content-Type: application/json" \
-d '{
"stocktaking": {
"items": [
{
"id": "cb244b25-100e-4eaa-8b8f-0e72c5642631",
"variation_id": "27b3f94b-c945-4560-b694-a59526cae9a5",
"changed_quantity": 12,
"note": null
}
],
"note": "Kiểm hàng tồn",
"status": 0,
"stocktaking_at": "2023-10-11T10:38:34",
"stocktaking_by": "category_ids",
"stocktaking_by_value": [
"1315"
]
}
}'Response 200
{
"success": true
}